Creates a new object that belongs to a static category (like Company,Project,...)

Request Information

URI Parameters :

None.

Body Parameters :

db_info
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier
name

Name of the db_info (Chapter name)

string

Required

Max length: 50

code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

sequence

Sorting field (0 first), to order them

integer
db_info_category_id

Main Category this chapter belongs using real foreign keys. Needed to extract "DbReport" where the category is the db_report_type

globally unique identifier
db_info_category_code

Specify on which main category this chapter should be shown. Possible values : Article,Company,Contact,Project,User,Jobs,Task,Opportunity,EquipmentFamily. Read more on API / HELP / Info Fields

string

Required

parent_id

Parent Db_info (chapter) (Parent / Child)

globally unique identifier
parent_db_info_code

Embedded entity "db_info" for parent using ERP PK when adding/updating db_info

string
parent_db_info

Embedded entity "db_info" for parent when adding/updating db_info

db_info
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "0e839474-e5d4-4216-b71f-c98f12267514",
  "name": "sample string 2",
  "code": "sample string 3",
  "sequence": 4,
  "db_info_category_id": "379c9a4e-d6c1-4bf2-b18d-2c603df31485",
  "db_info_category_code": "sample string 6",
  "parent_id": "c67908fd-9cad-4cfc-9d7e-6c30bff2222c",
  "parent_db_info_code": "sample string 8",
  "modified_dateutc": "2026-07-17T19:49:37.5913916+00:00"
}

Response Information

Resource Description :

db_info
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier
name

Name of the db_info (Chapter name)

string

Required

Max length: 50

code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

sequence

Sorting field (0 first), to order them

integer
db_info_category_id

Main Category this chapter belongs using real foreign keys. Needed to extract "DbReport" where the category is the db_report_type

globally unique identifier
db_info_category_code

Specify on which main category this chapter should be shown. Possible values : Article,Company,Contact,Project,User,Jobs,Task,Opportunity,EquipmentFamily. Read more on API / HELP / Info Fields

string

Required

parent_id

Parent Db_info (chapter) (Parent / Child)

globally unique identifier
parent_db_info_code

Embedded entity "db_info" for parent using ERP PK when adding/updating db_info

string
parent_db_info

Embedded entity "db_info" for parent when adding/updating db_info

db_info
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "526f40af-5554-4bb2-b6c0-7decbf17a06f",
  "name": "sample string 2",
  "code": "sample string 3",
  "sequence": 4,
  "db_info_category_id": "ff75dcb9-1d25-4726-a064-bdee02cb26e4",
  "db_info_category_code": "sample string 6",
  "parent_id": "95e432de-99fa-445d-95f4-d63e02d34d4e",
  "parent_db_info_code": "sample string 8",
  "modified_dateutc": "2026-07-17T19:49:37.5913916+00:00"
}